> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐에 calls 추가

> annotation 큐에 call을 추가합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /annotation_queues/{queue_id}/items
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}/items:
    post:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐에 calls 추가
      description: annotation 큐에 call을 추가합니다.
      operationId: annotation_queue_add_calls_annotation_queues__queue_id__items_post
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueAddCallsBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueAddCallsRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueAddCallsBody:
      additionalProperties: false
      description: annotation queue에 call을 추가하기 위한 요청 본문입니다(queue_id는 경로에서 가져옵니다).
      properties:
        call_ids:
          examples:
            - - call-1
              - call-2
              - call-3
          items:
            type: string
          title: Call Ids
          type: array
        display_fields:
          description: 주석 작업자에게 표시할 JSON 경로
          examples:
            - - input.prompt
              - output.text
          items:
            type: string
          title: Display Fields
          type: array
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
      required:
        - project_id
        - call_ids
        - display_fields
      title: AnnotationQueueAddCallsBody
      type: object
    AnnotationQueueAddCallsRes:
      description: 큐에 call을 추가한 결과에 대한 응답입니다.
      properties:
        added_count:
          title: Added Count
          type: integer
        duplicates:
          title: Duplicates
          type: integer
      required:
        - added_count
        - duplicates
      title: AnnotationQueueAddCallsRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````